code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
echo [`date`] Bootstrapping Haproxy...
function clean_up {
# Perform program exit housekeeping
echo [`date`] Stopping the service...
service rsyslog stop
service haproxy stop
exit
}
trap clean_up SIGTERM
service rsyslog start
service haproxy restart
echo [`date`] Bootstrap finished... | kaliop/ezdocker-stack | images/haproxy/bootstrap.sh | Shell | gpl-2.0 | 365 |
#!/bin/sh
TEST_SCRIPT=./VMake/executableTester.sh
until test -r ${TEST_SCRIPT} ; do
TEST_SCRIPT=../${TEST_SCRIPT}
done
. ${TEST_SCRIPT}
runAndHandleSystemTestStdLocations "glucifer testEncoderLibfame.xml" "$0" "$@"
| geodynamics/gale | gLucifer/OutputFormats/tests/testEncoderLibfame.0of1.sh | Shell | gpl-2.0 | 225 |
#!/bin/sh
INSTALLPERMS=$1
BASEDIR=`echo $2 | sed 's/\/\//\//g'`
LIBDIR=`echo $3 | sed 's/\/\//\//g'`
shift
shift
shift
for d in $BASEDIR $LIBDIR; do
if [ ! -d $d ]; then
mkdir $d
if [ ! -d $d ]; then
echo Failed to make directory $d
exit 1
fi
fi
done
for p in $*; do
p2=`basename $p`
echo Installing $p as $LIBD... | ipwndev/DSLinux-Mirror | user/samba/source/script/installmodules.sh | Shell | gpl-2.0 | 392 |
#!/bin/sh
# This uses installed fonts, which vary between systems
# Segoe UI and Consolas are standard in Windows 10, DejaVu is more common on Linux
echo Building $1.pdf
MainFont="Segoe UI"
MonoFont="Consolas"
is_font_installed() {
fontname=$1
fc-list | grep -i "$fontname" >/dev/null
}
if ! is_font_installed... | danmar/cppcheck | man/build-pdf.sh | Shell | gpl-3.0 | 759 |
#!/bin/sh
##
## configure_linux.sh
## Login : <nicolas.burrus@ensta.fr>
## Started on Thu Feb 19 13:04:22 2009 Nicolas Burrus
## $Id$
##
## Copyright (C) 2009, 2010 Nicolas Burrus
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as publish... | rgbdemo/rgbdemo | linux_configure.sh | Shell | lgpl-3.0 | 1,137 |
#!/bin/bash
#
# (C) 2016, Markus Wildi, wildi.markus@bluewin.ch
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This pr... | jstrobl/rts2 | scripts/u_point/rts2_script/u_acquire_plot.sh | Shell | lgpl-3.0 | 1,067 |
#!/usr/bin/env sh
for dir in *
do
if [ "`basename $0`" != "$dir" ]
then
cp -r ../lib/ $dir/oauth2/
echo "Copied OAuth 2.0 library to $dir"
fi
done
| borismus/oauth2-extensions | samples/cp-oauth2.sh | Shell | apache-2.0 | 162 |
#!/bin/bash
cd ../
#Copy web pages to data and compress
cp -u ./WebControls/public_html/TurtleMode.html ./data/T/TurtleMode.html
gzip -7 -f ./data/T/TurtleMode.html
#Copy JS to data, compress
cp -u ./WebControls/public_html/js/blocklyBall.js ./data/T/js/blocklyBall.js
gzip -7 -f ./data/T/js/blocklyBall.js
#msg folder
... | Rodinga/FH_Tbot | Tools/loadWebpages.sh | Shell | apache-2.0 | 945 |
#!/usr/bin/env bash
set -eu
ABSOLUTE_PATH=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
source $ABSOLUTE_PATH/functions.sh
build_helper gridftp
| PerilousApricot/lstore | scripts/build-bindings.sh | Shell | apache-2.0 | 143 |
#!/bin/bash
FN="htratfocusprobe_2.18.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/htratfocusprobe_2.18.0.tar.gz"
"https://bioarchive.galaxyproject.org/htratfocusprobe_2.18.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-htratfocusprobe/bioconductor-htratfoc... | Luobiny/bioconda-recipes | recipes/bioconductor-htratfocusprobe/post-link.sh | Shell | mit | 1,452 |
export QT_QPA_PLATFORMTHEME=appmenu-qt5
| Winael/snappy-playpen-1 | sublime-text-3/stage/etc/profile.d/appmenu-qt5.sh | Shell | mit | 40 |
#!/bin/bash
###########################################################################################
## Copyright 2003, 2015 IBM Corp ##
## ##
## Redistribution and use in s... | PoornimaNayak/autotest-client-tests | linux-tools/gnutls/gnutls.sh | Shell | gpl-2.0 | 7,721 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | fsouza/kubernetes | hack/local-up-cluster.sh | Shell | apache-2.0 | 36,097 |
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); yo... | thammegowda/incubator-joshua | src/test/resources/parser/test.sh | Shell | apache-2.0 | 985 |
#!/usr/bin/env bash
OS=$(uname -s | tr '[:upper:]' '[:lower:]')
case "$OS" in
cygwin*)
echo "debug-core-evergreen.sh is not supported on Windows"
exit 0
;;
esac
echo "Debugging core files"
shopt -s nullglob
for i in *.core; do
echo $i
echo "backtrace full" | gdb -q ./src/libmongoc/test-libmo... | jmikola/mongo-c-driver | .evergreen/debug-core-evergreen.sh | Shell | apache-2.0 | 719 |
#!/bin/bash
# Copyright (c) 2015-present, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree. An additional grant
# of patent rights can be found in the PATENTS file in the same directory.
# Bundle Rea... | andrewljohnson/react-native | packager/react-native-xcode.sh | Shell | bsd-3-clause | 1,230 |
#!/bin/bash
FN="hu35ksubaprobe_2.18.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.8/data/annotation/src/contrib/hu35ksubaprobe_2.18.0.tar.gz"
"https://bioarchive.galaxyproject.org/hu35ksubaprobe_2.18.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-hu35ksubaprobe/bioconductor-hu35ksubaprob... | joachimwolff/bioconda-recipes | recipes/bioconductor-hu35ksubaprobe/post-link.sh | Shell | mit | 1,328 |
#!/bin/sh
# Copyright (C) 2010 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public Licens... | Jajcus/lvm2 | test/shell/vgsplit-stacked.sh | Shell | gpl-2.0 | 846 |
#!/bin/sh
# find root
cd `dirname $PWD/$0`
mkdir -p _work
cd _work
ccache --help 2>&1 > /dev/null
if [ $? = 0 ]; then
[ -z "${CC}" ] && CC=gcc
CC="ccache ${CC}"
export CC
fi
valac --help 2>&1 >/dev/null
if [ ! $? = 0 ]; then
# must install from tarball
VV=0.13.4
SV=$(echo ${VV}|cut -d . -f 1,2)
if [ ! -d val... | glandium/radare2 | sys/vala.sh | Shell | lgpl-3.0 | 716 |
#!/usr/bin/env bash
service php5-fpm start
| addiscent/php-fpm-docker | start.sh | Shell | apache-2.0 | 43 |
#! /usr/bin/env bash
echo -e "\n-- create Dexter DB --\n"
#wget -O dexter-db.sql https://dexter.atlassian.net/wiki/download/attachments/6258746/dexter-db.sql?api=v2
mysql -u root -p1234 -e "create database if not exists my_dexter_db DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci; GRANT ALL PRIVILEGES ON ... | Minjung-Baek/Dexter | project/dexter-server/provision/create_dexter_db.sh | Shell | bsd-2-clause | 567 |
#!/usr/bin/env bash
cd "$( dirname "${BASH_SOURCE[0]}" )" && vim -Nu vimrc -c 'Vader! *' > /dev/null
| pathing/my_exvim | vimfiles/bundle/vim-markdown/test/run-tests.sh | Shell | mit | 102 |
#!/bin/sh
# Copyright (C) 2011, Kees Bos <cornelis.bos@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by app... | spaceone/pyjs | pyjs/contrib/clean-repository.sh | Shell | apache-2.0 | 1,481 |
#!/bin/bash
# This script should be run before you commit to verify that the basic tests
# are working as they should
# Once you have run it you can inspect the log file via
#
# $ less before_i_commit.log
# To clean up everything that is left by the running of this tool, do as
# following:
#
# rm *.yamloo; rm before_i_... | lordappsec/ooni-probe | scripts/before_i_commit.sh | Shell | bsd-2-clause | 1,228 |
#!/bin/bash
usage() {
echo "Usage:"
echo " $(basename $0) <application-name> [-h|-v] ..."
echo ""
echo "application-name: valid options are: $(valid_app_options)"
echo "-h print this help"
echo "-v display PMD's version"
}
valid_app_options () {
echo "pmd, cpd, cpdgui, designer, bgastviewe... | betterlife/Java-Build-System | tools/pmd/bin/run.sh | Shell | mit | 2,648 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licens... | fangjian601/terrapin | server/src/main/scripts/run_throttle_datanode.sh | Shell | apache-2.0 | 852 |
#!/bin/bash
ARG_DEFS=(
"--repository=(.*)"
"--directory=(.*)"
"[--branch=(.*)]"
)
function run {
rm -rf $DIRECTORY
mkdir -p $DIRECTORY
echo "-- Cloning $REPOSITORY#$BRANCH to $DIRECTORY..."
ARGS="--branch=${BRANCH:-master} --depth=2"
git config --global user.email "hi@ionicframework.com"
git conf... | AbraaoAlves/ionic | scripts/git/clone.sh | Shell | mit | 514 |
#!/bin/bash
#
##################################################################################################################
# Written to be used on 64 bits computers
# Author : Erik Dubois
# Website : http://www.erikdubois.be
#####################################################################################... | erikdubois/AntergosXfce4 | installation/install-viber-v1.sh | Shell | gpl-2.0 | 2,010 |
#!/bin/sh
test_description='Test the pick command'
. ./test-lib.sh
test_expect_success \
'Initialize the StGIT repository' \
'
stg init &&
stg new A -m "a" && echo A > a && stg add a && stg refresh &&
stg new B -m "b" && echo B > b && stg add b && stg refresh &&
stg branch --clone foo &&
stg new C -m "c" && ec... | Naoya-Horiguchi/stgit | t/t3400-pick.sh | Shell | gpl-2.0 | 1,505 |
#!/bin/bash
CRIU=../../../criu/criu
set -e -m -x
cat < /dev/zero > /dev/null &
pid=$!
sleep 1
lsof -p $pid
$CRIU exec -t $pid fake_syscall && exit 1 || true
fd=`$CRIU exec -t $pid open '&/dev/null' 0 | sed 's/.*(\(.*\))/\1/'`
$CRIU exec -t $pid dup2 $fd 0
wait $pid
echo PASS
| eabatalov/criu | test/others/exec/run.sh | Shell | lgpl-2.1 | 280 |
# installs dokku via apt-get
DOKKU_VERSION=$1
wget https://raw.githubusercontent.com/progrium/dokku/v${DOKKU_VERSION}/bootstrap.sh
sudo DOKKU_TAG=v0.4.4 bash bootstrap.sh
| apachipa/Azure-JSON-Custom | dokku-vm/deploy_dokku.sh | Shell | mit | 171 |
#! /bin/sh
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 2007-2021. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0... | emacsmirror/erlang | erts/etc/win32/nsis/dll_version_helper.sh | Shell | apache-2.0 | 3,606 |
#!/bin/bash
# Copyright (c) 2011 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# Script to increment kernel subkey and datakey for firmware updates.
# Used when revving versions for a firmware update.
# Load common c... | ccaapton/vboot_reference | scripts/keygeneration/increment_kernel_subkey_and_key.sh | Shell | bsd-3-clause | 1,484 |
#!/bin/bash
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# Script to increment firmware version key for firmware updates.
# Used when revving versions for a firmware update.
# Load common consta... | coreboot/vboot | scripts/keygeneration/increment_firmware_data_key.sh | Shell | bsd-3-clause | 1,166 |
#!/bin/bash
#
# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | werkt/bazel | src/test/shell/bazel/rule_test_test.sh | Shell | apache-2.0 | 5,846 |
#!/bin/bash
NUMPARAM=$#
if [ $NUMPARAM -lt 2 ] ; then
echo " Usage "
echo " $0 OUTNameAffine.txt *Affine.txt "
echo " assumes close to idetity affine transforms "
exit
fi
OUTNM=$1
shift 1
FLIST=$*
NFILES=0
PARAM1=0
PARAM2=0
PARAM3=0
PARAM4=0
PARAM5=0
PARAM6=0
PARAM7=0
PARAM8=0
PARAM9=0
PARAM10=0
PARAM11=0
PARAM12=0
... | fbudin69500/ANTs | Scripts/ANTSAverage3DAffine.sh | Shell | bsd-3-clause | 3,899 |
#!/bin/sh
test_description="recursive merge corner cases w/ renames but not criss-crosses"
# t6036 has corner cases that involve both criss-cross merges and renames
. ./test-lib.sh
test_expect_success 'setup rename/delete + untracked file' '
echo "A pretty inscription" >ring &&
git add ring &&
test_tick &&
git c... | wsp/git | t/t6042-merge-rename-corner-cases.sh | Shell | gpl-2.0 | 13,651 |
#!/bin/sh
#GPL
#TODO
#add pixelformat/sampleformat into the path of the codecs
FFP=../ffprobe
TMP=$(mktemp) || exit 1
TARGET=$1
shift
for v do
BASE=$(basename $v)
echo $v | egrep -i '(public|private)' >/dev/null && echo Warning $v may be private
$FFP $v 2> $TMP
FORM=$((grep 'Input #0, ' -m1 $TMP || ec... | hp-sam/voip-client-ios | submodules/externals/ffmpeg/tools/jauche_sortierer.sh | Shell | gpl-2.0 | 681 |
#!/bin/bash
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | jawnsy/cri-o | vendor/k8s.io/kubernetes/hack/make-rules/test-federation-cmd.sh | Shell | apache-2.0 | 3,323 |
#!/bin/bash
#
# Script to delete all data from the mongo database.
#
# This stops all services to release any caches then deletes the database.
#
source "$(dirname $0)/shell_helpers.sh"
stop_services $GRR_SERVICES
echo "Dropping database"
echo "db.dropDatabase()" | mongo grr
start_services $GRR_SERVICES
| ForensicTools/GRREAT-475_2141-Chaigon-Failey-Siebert | scripts/database_reset.sh | Shell | apache-2.0 | 308 |
#!/bin/bash
# home location lat, lon, alt, heading
LOCATION="CMAC"
TRACKER_LOCATION="CMAC_PILOTSBOX"
VEHICLE=""
BUILD_TARGET="sitl"
FRAME=""
NUM_PROCS=1
SPEEDUP="1"
# check the instance number to allow for multiple copies of the sim running at once
INSTANCE=0
USE_VALGRIND=0
USE_GDB=0
USE_GDB_STOPPED=0
DEBUG_BUILD=0
U... | Toreny/UAV | Tools/autotest/sim_vehicle.sh | Shell | gpl-3.0 | 10,807 |
#!/bin/bash
make -j
mkdir -p $PREFIX/bin
cp $SRC_DIR/mapDIA $PREFIX/bin/mapDIA
chmod +x $PREFIX/bin/mapDIA | joachimwolff/bioconda-recipes | recipes/mapdia/build.sh | Shell | mit | 106 |
#!/bin/sh
for dir in /var/run/hostapd-*; do
[ -d "$dir" ] || continue
hostapd_cli -p "$dir" wps_pbc
done
| Victek/wrt1900ac-aa | package/hostapd/files/wps-hotplug.sh | Shell | gpl-2.0 | 108 |
#!/bin/bash
echo -e "Removing previous SAML metadata directory"
rm -Rf "${PWD}/ci/tests/puppeteer/scenarios/${SCENARIO}/saml-md"
| apereo/cas | ci/tests/puppeteer/scenarios/saml2-idp-with-cas-request/init.sh | Shell | apache-2.0 | 129 |
#!/bin/sh
OPTIONS_KEEPDASHDASH=t
OPTIONS_SPEC="\
git-checkout [options] [<branch>] [<paths>...]
--
b= create a new branch started at <branch>
l create the new branch's reflog
track arrange that the new branch tracks the remote branch
f proceed even if the index or working tree is not... | 2ndy/RaspIM | usr/share/doc/git/contrib/examples/git-checkout.sh | Shell | gpl-2.0 | 7,618 |
#!/bin/sh
# -- check for root --
if [ "`id -u`" != "0" ]; then
echo "add_pkgs.sh: sorry, this must be done as root." 1>&2
exit 1
fi
# -- add pkgs --
pkg install \
pkg \
nano \
zsh \
tmux \
dhcpcd \
iperf \
|| exit 1
| guyyur/configs | orange-pi-one-tf-slot-dead/FreeBSD/add_pkgs.sh | Shell | isc | 237 |
#!/bin/bash
OBJ_DIR=$PWD/obj_lib
QMAKE=qmake
DIR_OPTIONS="--base-directory $PWD/lib --directory $OBJ_DIR" #--directory obj_tests --directory tests
function error_exit
{
echo "$1" 1>&2
exit 1
}
$QMAKE "COVERAGE=1" && make VERBOSE=1
[ $? -ne 0 ] && error_exit "Compile step failed."
lcov --zerocounters $DIR_OPTION... | julienlopez/QRocketLaunchSimulator | tests.sh | Shell | mit | 1,146 |
#! /bin/sh
export REDMINE_LANG=en
export RAILS_ENV=test
PLUGIN_NAME="redmine_bx"
# Initialize redmine
bundle exec rake generate_secret_token
bundle exec rake db:migrate
#bundle exec rake redmine:load_default_data
# Copy assets & execute plugin's migration
bundle exec rake redmine:plugins NAME=${PLUGIN_NAME}
if [ $T... | pinzolo/redmine_bx | travis/exec_test.sh | Shell | mit | 607 |
#!/bin/sh
cd ..
make
cd tools
| PanCzerwonySer/DogOS-WP | tools/build.sh | Shell | mit | 30 |
ps -ef | grep -v grep | grep DiceRoller
if [ $? -eq 1 ]
then
cd ~/chancecoinj
nohup sh start_diceroller.sh &
else
echo "Already running"
fi
| chancecoin/chancecoinj | keep_alive_diceroller.sh | Shell | mit | 140 |
#! /bin/bash
# USAGE:
# Usage: eval `PROGRAM [-c] [-s] setup_version`
# -OR-
# Usage: eval `PROGRAM [-c] [-s] TOS_SYSTEM COMPILER_VERSION`
# END USAGE
# HELP:
# where SETUP_VERSION is one of the version strings returned if PROGRAM
# is invoked without arguments.
# This program writes shell command to standard out... | shindochan/bashenv | scripts/template.bash | Shell | mit | 2,930 |
#!/bin/bash
# Copyright (c) 2017 MAZA Network Developers, Robert Nelson (guruvan)
test -f EasyGitian.env && source EasyGitian.env
if [ "$EASYGITIAN_DEBUG}" = "true" ] ; then
DEBUG=true
set -xeo pipefail
fi
## This script runs on the host machine
# First install Virtualbox and Vagrant
# Vagrant
get_vagrant () ... | mazaclub/EasyGitianBuilder | darwin-Base-System.sh | Shell | mit | 4,256 |
#!/bin/sh
for i in {1..1000}
do
../bin/avl >> dump
done
| abhassaroha/GeneralLib | DataStructures/tests/test.sh | Shell | mit | 57 |
#!/bin/bash
grunt Linux64_v0.12.0 && cp nwjs/nwjs-v0.12.0-linux-x64/libffmpegsumo.so dist/Linux64_v0.12.0/ && ./dist/Linux64_v0.12.0/nw ./dist/Linux64_v0.12.0/app.nw/
| cortezcristian/trainer | build.sh | Shell | mit | 168 |
#!/bin/bash
numkeys=100
if [ $# -gt 0 ]; then
numkeys=$1
fi
die(){
kill "$general"
wait >/dev/null 2>&1
exit "$status"
}
trap die 2
./general -c certs/localhost.pem &
general=$!
sleep 1
./test_https -f5 -l10 -n$numkeys -ph https://localhost:5443
status=$?
die
| aki5/general | run-test.sh | Shell | mit | 270 |
PROMPT_GOOD_BG=45
PROMPT_GOOD_FG=16
PROMPT_BAD_BG=178
PROMPT_BAD_FG=16
ENABLE_STANDARD_BAR_STATUS=0
promptBar()
{
local FG=${PROMPT_GOOD_FG}
local BG=${PROMPT_GOOD_BG}
if [[ ${LAST_RETURN} != 0 && ${ENABLE_STANDARD_BAR_STATUS} != 0 ]]; then
FG=${PROMPT_BAD_FG}
BG=${PROMPT_BAD_BG}
fi
... | jwkblades/Bartlet | src/StandardSuite/Prompt.sh | Shell | mit | 458 |
#!/bin/sh
# See cat << HEREDOC for file description.
# Set this to the complete path of the tidy for which you want to generate
# documentation. Relative path is okay. You shouldn't have to change this
# too often if your compiler always puts tidy in the same place.
TIDY_PATH="../build/cmake/tidy" # Build ... | cremame/tidy-html5 | ext/tidy-html5/documentation/build_docs.sh | Shell | mit | 4,073 |
#
git clone https://github.com/orian/psz_utils && cd psz_utils && mkdir build && cd build && cmake -DCMAKE_INSTALL_PREFIX:PATH=/libs /src && make all install
# failes with :ro
cmake -DCMAKE_BUILD_TYPE=Release -DJSONCPP_LIB_BUILD_SHARED=ON -DCMAKE_INSTALL_PREFIX:PATH=/libs -G "Unix Makefiles" /src && mv /libs/include/j... | orian/cppenv | install.sh | Shell | mit | 352 |
#!/usr/bin/env bash
sudo npm install --global yo gulp-cli bower
sudo npm install --global generator-webapp
| maxg0/dotfiles | node/generator.sh | Shell | mit | 108 |
#!/bin/bash
set -eo pipefail -o nounset
if [[ -z $(conda info --envs | grep "*" | grep -o "\/.*") ]]; then
export CONDA_ROOT=$(conda info --root)
env_dir=$CONDA_ROOT
export RECIPE_DIR=$CONDA_ROOT/share/ggd/Homo_sapiens/GRCh37/grch37-amino-acid-sequences-chr-regions-gencode-v1/1
elif [[ $(conda info --envs ... | gogetdata/ggd-recipes | recipes/genomics/Homo_sapiens/GRCh37/grch37-amino-acid-sequences-chr-regions-gencode-v1/post-link.sh | Shell | mit | 3,130 |
#!/bin/bash
#tests and builds project
function error_exit
{
echo "$1" 1>&2
exit 1
}
set -x
if [ $TRAVIS_BRANCH == "master" ]; then
if npm test; then
if npm run build:production; then
echo "******TESTS PASSED******"
exit 0
else
error_exit "******BUILD FAILED! Aborting.*********"
fi... | DataSF/open-data-explorer | .travis/build.sh | Shell | mit | 831 |
#!/usr/bin/env bash
#####################################################################
##
## title: String Extension
##
## description:
## String extension of shell (bash, ...)
## with well-known function for string manipulation
## Function list based on:
## https://docs.oracle.com/javase/7/docs/api/java/lang/S... | torokmark/shell_utils | lib/string.sh | Shell | mit | 12,538 |
#!/bin/bash
APPS=( "foo|http://ci.example.com:8080/job/JOBNAME/lastSuccessfulBuild/artifact/foo/target/foo.war"
"bar|http://ci.example.com:8080/job/JOBNAME/lastSuccessfulBuild/artifact/bar/target/bar.war"
"baz|http://ci.example.com:8080/job/JOBNAME/lastSuccessfulBuild/artifact/baz/target/baz.war" )
BASED... | sirkkalap/tomcat_deploy_sh | wget_wars.sh | Shell | mit | 935 |
#!/bin/sh
#
# Copyright (c) 2009-2015 Robert Nelson <robertcnelson@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# ... | eliasbakken/linux-dev | patch.sh | Shell | mit | 18,144 |
function toggl::authenticate () {
echo "Get your personal API token from Toggl profile settings page and enter it below."
while [[ ${#token} -lt 20 ]]; do
echo "Personal Toggl API token:"
read -r -s token
done
mkdir -p ~/.toggl
echo "${token}" > ~/.toggl/api-token
# TODO: ~/.toggl not mounted be de... | TaitoUnited/taito-cli | plugins/toggl/lib/all.bash | Shell | mit | 637 |
sudo update-rc.d runPelmetcam.init remove
| martinohanlon/pelmetcam | dontRunAtStartUp.sh | Shell | mit | 42 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for CESA-2013:0506
#
# Security announcement date: 2013-03-09 00:42:54 UTC
# Script generation date: 2017-01-01 21:10:41 UTC
#
# Operating System: CentOS 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - samba4.x86_64:4.0.0-55.el6.rc4
# - sam... | Cyberwatch/cbw-security-fixes | CentOS_6/x86_64/2013/CESA-2013:0506.sh | Shell | mit | 2,377 |
#!/usr/bin/env bash
mkdir -p out
javac -d out \
-cp ./src:$LOG4J2_HOME/log4j-core-2.11.0.jar:$LOG4J2_HOME/log4j-api-2.11.0.jar \
src/HelloLog4J2ConfigCLI.java
cp ./src/log4j2alt.xml ./out
| jbannick/hellokata-java | src/log4j2/hellolog4j2configCLI/build.sh | Shell | mit | 198 |
#!/usr/bin/env sh
# This example script uses "nTunes" to iterate through the track list
# CRITERIA, and using the result as the playlist for the Icecast server.
# The hostname and port of our Node Icecast server.
ICECAST=localhost:5555
# The filter command to send to nTunes. In this case, get all my "Pink Floyd" son... | TooTallNate/NodeFloyd | decodeFromNTunes.sh | Shell | mit | 2,102 |
#!/bin/bash
set -e
#####
# Unit Tests
dart test/test.dart
#####
# Type Analysis
echo
echo "dartanalyzer lib/curry.dart"
dartanalyzer lib/curry.dart
| eee-c/dart-curry | test/run.sh | Shell | mit | 152 |
#!/bin/bash
# NOTE: Adding apps to the Dock should happen in the scripts where said apps are installed.
## Disable animations when opening an application from the Dock.
defaults write com.apple.dock launchanim -bool FALSE
## Automatically hide and show the Dock.
defaults write com.apple.dock autohide -bool TRUE
# W... | boochtek/mac_config | os/dock.sh | Shell | mit | 835 |
#!/bin/bash
source inc_vars.sh
# Script for multiple vector reconstruction tests
#------------------------------------------
echo " Basic Parameters "
echo "---------------------------------"
echo " "
#cat par/simul.par
#Recon method
awk '{ if ( NR == 3 ) { print "nonehx";} else {print $0;} }' par/... | pedrospeixoto/iModel | sh/run_nvecrecon.sh | Shell | mit | 3,792 |
#!/usr/bin/env bash
# Enable bash completion
if [[ -f /usr/local/etc/bash_completion ]]
then
# shellcheck disable=SC1091
source /usr/local/etc/bash_completion
fi
| fgimian/macbuild | files/dotfiles/.bash_profile.d/bash_completion.sh | Shell | mit | 167 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2014:1087
#
# Security announcement date: 2014-08-21 16:02:14 UTC
# Script generation date: 2017-01-01 21:15:28 UTC
#
# Operating System: Red Hat 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - antlr-eap6.noarch:2.7.7-17.redhat_4.1.e... | Cyberwatch/cbw-security-fixes | Red_Hat_6/x86_64/2014/RHSA-2014:1087.sh | Shell | mit | 11,309 |
#!/bin/bash
. /kb/deployment/user-env.sh
if [ $# -eq 0 ] ; then
sh ./scripts/start_server.sh
elif [ "${1}" = "test" ] ; then
echo "Run Tests"
make test
elif [ "${1}" = "async" ] ; then
sh ./scripts/run_async.sh
elif [ "${1}" = "init" ] ; then
echo "Initialize module"
else
echo Unknown
fi | kbaseIncubator/variation | scripts/entrypoint.sh | Shell | mit | 302 |
echo "----------------------------------------------"
../Debug/typestest A | grep "already taken"
echo "----------------------------------------------"
| rbdannenberg/o2 | test/ports.sh | Shell | mit | 152 |
#!/usr/bin/env bash
set -ex -o pipefail
# These ones can be `npm link`ed for fast development
LINKABLE_PKGS=(
$(pwd)/dist/packages-dist/{common,core,compiler,compiler_cli,platform-{browser,server}}
$(pwd)/dist/tools/@angular/tsc-wrapped
)
PKGS=(
reflect-metadata
typescript@next
zone.js
rxjs
@types/{node,... | hannahhoward/angular | scripts/ci-lite/offline_compiler_test.sh | Shell | mit | 989 |
#! /bin/sh
#
# Copyright (c) 2011 Mans Rullgard <mans@mansr.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND... | TimothyGu/fateserver-node | fate-recv.sh | Shell | mit | 3,387 |
#!/bin/sh
# Echoes the full path of the first font whose filename contains a given string
find_font(){
# List of directories used on Mac OS to store fonts
# Source: https://support.apple.com/en-au/HT201722
#
# We're searching in *reverse* order to ensure we don't pick up a modified copy
# of $font_name from a us... | Alhadis/Menloco | utils/find-font.sh | Shell | mit | 1,904 |
#!/bin/bash
# Function definitions
function userExit()
{
echo "Received SIGINT. Exiting."
rosnode kill -all
./cleanup.sh
exit
}
startGazeboServer()
{
local world_file_path=$1
local random_seed=$2
rosparam set /use_sim_time true
setsid rosrun gazebo_ros gzserver $world_file_path --seed... | BCLab-UNM/SwarmBaseCode-ROS | run_headless_sim.sh | Shell | mit | 12,910 |
#!/bin/bash
cd /nodeapp
sh ./shell/start.sh
while [ true ]
do
echo "nodejs env running..."
sleep 10
done
| zmoon111/docker-web-env | nodejs/start.sh | Shell | mit | 116 |
echo "[COMPILING]"
cat core/loader.js core/cookies.js core/watch.js core/tangular.js core/template.js core/model.js core/miracles.js core/core.js core/language.js core/dom.js core/domanipulator.js | uglifyjs -c -o mj.min.js
read -n 1 -p "Press any key to continue" | chrysls/miraclejs | minify(windows).sh | Shell | mit | 264 |
#!/bin/sh
:>lang.stat
echo "| ELF executable (all) | $(grep "ELF ..-bit LSB executable" lang.txt |wc -l)" >>lang.stat
echo "| ELF executable (set*id) | $(grep "set.id.*ELF ..-bit LSB executable" lang.txt |wc -l)" >>lang.stat
echo "| ELF executable (linked to libc) | $(cat elf.txt | xargs -n1 ldd | grep "=... | osamuaoki/fun2prog | stat/lang/lang.stat.sh | Shell | mit | 1,670 |
#!/bin/bash
spiders=(existential xkcd dilbert commitstrip cynadine)
for spider in ${spiders[*]}
do
echo "Start spider $spider"
/usr/local/bin/scrapy crawl -L ERROR --logfile=/var/log/scrapping.log -a createdAt=1 $spider
done
| kozko2001/existentialcomics | scrape/all_spiders.sh | Shell | mit | 233 |
#!/bin/sh
cd lib
# Get the PSR 2 sniffer
echo "Getting PSR 2 code validator"
curl -sOL https://squizlabs.github.io/PHP_CodeSniffer/phpcs.phar
# Get PHPUnit
echo "Getting PHP Unit"
curl -sOL https://phar.phpunit.de/phpunit.phar
echo "Getting Composer"
curl -sOL https://getcomposer.org/composer.phar
chmod +x *.phar
... | ronaldbradford/PivotTable | scripts/get_required_libraries.sh | Shell | mit | 329 |
#!/bin/bash
# Constant
Logger_error_color='\033[1;31m'
Logger_success_color='\033[0;32m'
Logger_no_color='\033[1;0m'
Logger_alert_color='\033[1;34m'
# Configurable
Logger__prefix='Originator'
Logger__has_prefix=1
#################################################
# Logs a message
#
# @param $1: The message to log
# @... | DigitalCitadel/originator | lib/logger.bash | Shell | mit | 1,156 |
## for TransDecoder > github:190730
#=== conf ===
GENOME=../../Om2.assembly.fasta
TDDIR=~/bio/applications/TransDecoder-v5.0.2
TRANSCRIPT=stringtie_merged.transcripts.fasta
TRANSCRIPT_GFF=stringtie_merged.gff3
NCPU=8
PFAM=longest_orfs.pep.pfam.domtblout
BLAST=longest_orfs.pep.vs.uniprot_ref_proteomes.diamond.blastp.dm... | shujishigenobu/genome_annot | tasks/HISAT2_StringTie_TransDecoder/run_TransDecoder_GenomeBased_step5.sh | Shell | mit | 666 |
# -----------------------------------------------------------------------------
# Print red text to stderr.
#
# https://linuxtidbits.wordpress.com/2008/08/11/output-color-on-bash-scripts/
# -----------------------------------------------------------------------------
red() {
echo >&2 "$(tput setaf 1)${1}$(tput s... | eHarmony/aloha | travis-bash-fns.sh | Shell | mit | 857 |
#!/usr/bin/env bash
# Gabriele Girelli - 20170619
# Aim: split fasta file based on gene name
#
# Usage: ./split_fa_by_gene.sh all_gene.fa outdir
#
# Note:
# - works only if no space is present in the fasta headers
# - as sequences are appended, remove previous run outputs when re-running
#
outdir=$2
mkdir -p $ou... | ggirelli/potpourri | 680-genes-fish-oligos/split_fa_by_gene.sh | Shell | mit | 581 |
# This is my default zsh file, set the main .zshrc file to open this one
# Set name of the theme to load. Optionally, if you set this to "random"
# it'll load a random theme each time that oh-my-zsh is loaded.
# See https://github.com/robbyrussell/oh-my-zsh/wiki/Themes
ZSH_THEME="bzvestey"
# Uncomment the following l... | bzvestey/dotfiles | zsh/zshrc-linux.zsh | Shell | mit | 3,074 |
#!/usr/bin/env bash
pokebotpath=$(cd "$(dirname "$0")"; pwd)
cd $pokebotpath
source bin/activate 2> /dev/null
if [[ $? -eq 1 ]];
then
echo "Virtualenv does not exits"
echo "Run: ./setup.sh -i"
exit 1
fi
git fetch -a
installed=(`pip list 2>/dev/null |sed -e 's/ //g' -e 's/(/:/' -e 's/)//' -e 's/[-_]//g' | awk '{pr... | goedzo/PokemonGo-Bot | runMultiBot.sh | Shell | mit | 1,171 |
#!/usr/bin/env bash
ACTION_NAME="rechmod"
ACTION_VERSION="2015-01-11"
CHMOD_DEFAULT_WRITE="777"
rechmod() {
if [ -z "${CHMOD_PATHS_WRITE+x}" ] || [ -z "${CHMOD_PATHS_WRITE}" ]
then
loge "Paths for CHMOD not defined or is empty array"
fi
log "Setting defaults (755 / 644) to all project direct... | hansek/cotls | actions/rechmod.sh | Shell | mit | 738 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-3333-1
#
# Security announcement date: 2015-08-12 00:00:00 UTC
# Script generation date: 2017-01-01 21:07:31 UTC
#
# Operating System: Debian 8 (Jessie)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - iceweasel:38.2.0esr-1~deb8u1
#
# La... | Cyberwatch/cbw-security-fixes | Debian_8_(Jessie)/x86_64/2015/DSA-3333-1.sh | Shell | mit | 832 |
#!/bin/bash
source /usr/local/bin/virtualenvwrapper.sh
workon drftest
cd /home/drftest/drftest/
./manage.py migrate
./manage.py initshopdb
./manage.py runserver 0.0.0.0:8000
| andreagrandi/drf3-test | docker/run.sh | Shell | mit | 174 |
#! /bin/bash -
#
# No-PPT 自动线上部署脚本。
#
# Grammar:
# jetty_deploy.sh -g {groupId} -a {artifactId} [-v {version}]
#
# @author ISME
# @version 1.0.1
# @since 1.0.0
#
# Reset IFS
IFS=$'\040\t\n'
# Reset PATH
OLDPATH="${PATH}"
PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin"
export PATH
# Reset JAVA_HOME
... | no-ppt/noppt-tools | operator/jetty_deploy/jetty_deploy.sh | Shell | mit | 5,289 |
#!/bin/bash
cd "$(dirname "$BASH_SOURCE")"
###Some convenience functions
prnt(){
printf "$*\n" >>/dev/stdout
}
err() {
printf "$*\n" >>/dev/stderr
}
Exit(){
prnt '\nCleaning'
if [ "$2" != '-p' ]; then
kill $pid >/dev/null 2>&1 && prnt "\tKilled pid: $pid"
fi
sudo ./lampi -rmd "$site1... | neurobin/letsacme | test/check.sh | Shell | mit | 5,528 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2319-3
#
# Security announcement date: 2014-09-16 00:00:00 UTC
# Script generation date: 2017-01-01 21:03:59 UTC
#
# Operating System: Ubuntu 14.04 LTS
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - openjdk-7-jre-lib:7u65-2.5.2-3~14.04... | Cyberwatch/cbw-security-fixes | Ubuntu_14.04_LTS/x86_64/2014/USN-2319-3.sh | Shell | mit | 2,022 |
#!/bin/sh
#
# install ODA-OS ingestion engine
#
#======================================================================
. `dirname $0`/../lib_logging.sh
NAME="Coast-Line Dataset"
info "Installing Ingestion Engine $NAME ... "
#======================================================================
[ -z "$ODAOS_IE_HO... | DREAM-ODA-OS/ODA-OS_subsystem | scripts/install.d/31_ie_coastline.sh | Shell | mit | 1,711 |
#!/usr/bin/env bash
# Build package in place.
source "$(dirname "${BASH_SOURCE[0]}")/../../../../../scripts/common.sh"
[[ "${#}" -ge 1 ]] || abort "usage: ${0} /path/to/v8 [{x64.release|...} [/path/to/boost]]"
readonly PROJECT="$(realpath "${HERE}/..")"
readonly V8="$(realpath "${1}")"
ensure_directory "${V8}"
re... | clchiou/garage | py/g1/third-party/v8/scripts/develop.sh | Shell | mit | 912 |
#goole-chrome install
echo 'Installing Google Chrome'
sudo touch /etc/yum.repos.d/google-chrome.repo
cd /etc/yum.repos.d
sudo chmod 666 google-chrome.repo
sudo echo '[google-chrome]' >> google-chrome.repo
sudo echo 'name=google-chrome - 64-bit' >> google-chrome.repo
sudo echo 'baseurl=http://dl.google.com/linux/chrome/... | dcorns/bash_scripts | Ichrome.sh | Shell | mit | 672 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.